<template>
  <ul class="product-list">
    <li class="product-list__item">
      <h3 class="product-list__title">Корзина</h3>
      <p v-if="!cartProducts.length">Ваша корзина пуста.</p>
      <ul v-else class="products">
        <CartItem v-for="product in cartProducts" :key="product.id" :product="product" />
      </ul>
      <p class="total">Общая стоимость: {{ total }} &#8381;</p>
    </li>
  </ul>
</template>

<script>
import CartItem from '@/components/CartItem'

export default {
  name: 'Cart',
  props: {
    cartProducts: {
      required: true,
      type: Array
    },
    total: {
      required: true,
      type: Number
    }
  },
  components: {
    CartItem
  }
}
</script>
